#!/usr/local/bin/perl
#
# File:     sample_filter.pl
# Created:  13-Feb-1998

# $Header: /opt/nr/rcs/cmd/typhoond/sample_filter.pl,v 1.5 1999/09/29 09:17:41 driley Exp $ 

# COPYRIGHT 1998,1999
# bCandid Corporation.
# All Rights Reserved.

#
# Simple illustration of a "MAKE MONEY FAST" Typhoon/Breeze filter
#

$| = 1; # Flush STDOUT
$good_article = "335\r\n";
$bad_article = "435\r\n";

# Initialize
$result = $good_article;
$previous_line = "\r\n";

# Loop on input
while(defined($line = <>)) {
    # If the Subject contains "MAKE MONEY FAST", reject the article.
    if ($line =~ /^Subject:/) {
	if ($line =~ /MAKE MONEY FAST/) {
	    $result = $bad_article;
	} else {
	    $result = $good_article;
	}
    }

    if ($previous_line =~ /\r\n$/ && $line eq ".\r\n") { print $result; }
    $previous_line = $line;
}
